Package com.sixlegs.png

## Interface TextChunk

    public interface TextChunk

Common interface to all PNG text chunk data (`tEXt`, `zTXt`, `iTXt`).

See Also:
  `PngImage.getTextChunk(java.lang.String)`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getKeyword()` Returns the Latin-1 (ISO-8859-1) encoded keyword of this TextChunk.
`java.lang.String` `getLanguage()` Returns the language (RFC-1766) used by the translated keyword and the text, or null if unspecified.
`java.lang.String` `getText()` Returns the text of this TextChunk.
`java.lang.String` `getTranslatedKeyword()` Returns a translation of the keyword into the language used by this TextChunk, or null if unspecified.
`int` `getType()` Returns the type of this TextChunk.

### Method Detail

#### getKeyword

    java.lang.String getKeyword()

Returns the Latin-1 (ISO-8859-1) encoded keyword of this TextChunk.

#### getTranslatedKeyword

    java.lang.String getTranslatedKeyword()

Returns a translation of the keyword into the language used by this TextChunk, or null if unspecified.

#### getLanguage

    java.lang.String getLanguage()

Returns the language (RFC-1766) used by the translated keyword and the text, or null if unspecified.

#### getText

    java.lang.String getText()

Returns the text of this TextChunk.

#### getType

    int getType()

Returns the type of this TextChunk.

Returns:
  `PngConstants.tEXt`,
  `PngConstants.zTXt`,
  or `PngConstants.iTXt`